Bug 89447

Summary: i810 + TV out + Xv not working
Product: [Retired] Red Hat Linux Reporter: edwinh <edwinh>
Component: XFree86Assignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED CURRENTRELEASE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 9Keywords: MoveUpstream
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-12-22 08:55:54 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
patch that globally sets OVRACT as in older versions
none
lspci output
none
XFree86 log none

Description edwinh 2003-04-22 19:05:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I have a PC with an 810e graphics chip; it has both VGA and TV-out. I do not use
the VGA output of the box, I only use the TV.

In RH8.0, video w/Xv worked fine.

In RH9, anything that uses Xv gives be a blank blue screen - the xv overlay is
not working.

Nothing telltale in the XFree86 log.

I investigated i810_driver changes, googled a bit, and eventually reverted a few
lines to what used to be there in previous versions - see the patch.  With this
it works.

It looks like some logic that was added to detect tv/lcd before tweaking the
register didn't work in my case?? (not sure).  I commented that section out and
globally let the reigster setting happen.






Version-Release number of selected component (if applicable):
XFree86-4.3.0-2 (tried -3.6 from rawhide too)

How reproducible:
Always

Steps to Reproduce:
1. Have a 810 chipset w/ tvout only in use (for me anyway)
2. Run an xvideo-using app
3. Observe blue screen instead of video
    

Additional info:
Comment 1 edwinh 2003-04-22 19:07:19 EDT
Created attachment 91233 [details]
patch that globally sets OVRACT as in older versions
Comment 2 edwinh 2003-04-22 19:11:49 EDT
Created attachment 91235 [details]
lspci output
Comment 3 edwinh 2003-04-22 19:13:24 EDT
Created attachment 91236 [details]
XFree86 log
Comment 4 Mike A. Harris 2003-04-24 02:10:29 EDT
Unfortunately, I don't have Intel i810 video hardware to verify the problem
and verify the fix.  Can you report this issue also at http://bugs.xfree86.org
and attach the patch there also, so that the driver maintainer can investigate,
test, and apply the patch to CVS.

I'd feel more comfortable that way if it can be approved by XFree86.org
first.
Comment 5 edwinh 2003-04-28 19:31:31 EDT
submitted to xfree bugzilla, #215.

Comment 6 Mike A. Harris 2003-04-29 14:18:41 EDT
Tracking on: http://bugs.xfree86.org/cgi-bin/bugzilla/show_bug.cgi?id=215
Comment 7 Mike A. Harris 2004-09-29 17:54:15 EDT
This issue seems to be present in both the XFree86 and X.Org code
bases. We encourage you to upgrade to the latest version of Fedora
Core (http://fedora.redhat.com) to verify that the bug still exists.
If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component, in order to ensure that it is being tracked by X.Org
developers as well, as X.Org X11 is what we are currently
shipping.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.
Comment 8 Mike A. Harris 2004-12-22 08:55:54 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.